MAKE: Problem with SM 8.9.1, Sol2.3 and GCC2.8.1

MAKE: Problem with SM 8.9.1, Sol2.3 and GCC2.8.1

Post by Danny Sohie » Fri, 21 Aug 1998 04:00:00



Hi folks,

here is what I get when I try to build Sendmail:

Configuration: os=SunOS, rel=5.3, rbase=5, rroot=5.3, arch=sun4, sfx=
Clearing out existing obj.SunOS.5.3.sun4 tree
Using M4=/usr/local/bin/m4
Creating obj.SunOS.5.3.sun4 using ../BuildTools/OS/SunOS.5.3
Making dependencies in obj.SunOS.5.3.sun4
gcc -M -I.  -DNDBM -DNIS -DNISPLUS -DSOLARIS=20300 *.c >> Makefile
In file included from conf.h:26,
                 from sendmail.h:42,
                 from alias.c:13:
/usr/include/sys/param.h:120: warning: `NULL' redefined
/usr/local/lib/gcc-lib/sparc-sun-solaris2.3/2.8.1/include/stddef.h:313:
warning: this is the location of the previous definition

I thing it has something to do with the -I flag. Some .h files may be
overlapping.
I am at a total lost in this case. I need a fresh pari of eyes to give
me some
insights on this problem...

Anyone?

Thanks a million,

Danny J. Sohier
Laval University Library
MIS

 
 
 

1. GCC2.8.1/What dim mistake have I made?

Hi all.

I  have a brand new Enterprise 450 (Solaris2.6) system that has no 'C'
compiler. I downloaded from www.sunfreeware.com a shiny new copy of
gcc-2.8.1 which installed fine in /usr/local. What's got me foxed is the
lack of include files like 'stdio.h' and 'stdlib.h' .

The instructions recommend you should only download libstdc++ if you
want to use g++, so I'm guessing these vital parts aren't in there. But
where could they be?

I've done something stupid haven't I? Can anyone point out what it might
be?

Best regards.

matt.
--
Matt Mower, Intranet Services Team, University of North London, UK

[Web:www.unl.ac.uk/~mat/]

2. Patching Kernel 2.0.0 to 2.0.33

3. How to upgrade gcc2.7.2.3 to gcc2.8.1

4. Linux UUCP, smail3, and rn...

5. Problems starting XFree with kernel compiled with gcc2.8.1

6. System hangs after release 504c installation, just prior to login prompt.

7. Problem with gcc2.8.1 on Solaris7

8. I ported latest RogueWave to VAC 5.0...

9. gcc2.8.1 make problem

10. Problem about GCC2.8.1

11. gcc2.8.1 install problem

12. exceptions problems with Redhat5.0/gcc2.8.1

13. Help with gcc2.8.1